bl_info = {
    "name": "gp interpolate",
    "author": "Christophe Seux, Samuel Bernou",
    "version": (0, 1, 0),
    "blender": (3, 6, 0),
    "location": "",
    "description": "Interpolate Grease pencil strokes",
    "warning": "",
    "wiki_url": "",
    "tracker_url": "",
    "category": "Animation"}


import sys
from pathlib import Path
import importlib

# Ensure the name of the module in python import
module_name = Path(__file__).parent.name
sys.modules.update({'gp_interpolate': importlib.import_module(module_name)})


from gp_interpolate import interpolate_strokes, ui

modules = (
    interpolate_strokes,
    ui,
)

# if "bpy" in locals():
#     import importlib

#     for mod in modules:
#         importlib.reload(mod)

import bpy

def register():
    print('Register gp_interpolate')
    for mod in modules:
        mod.register()

def unregister():
    for mod in reversed(modules):
        mod.unregister()
